<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Activity A</title>
</head>
<body>
    <em>Science and Engineering Ethics (2001) 7, 231-238</em>
    <hr>
	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
    <p><strong>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</strong></p>
    <hr>

    <p><strong>Keywords:</strong> code of ethics, professional responsibility, software Engineering</p>

    <strong>PREAMBLE</strong>
    <p>
        The short version of the code summarize at a high level of abstraction. The clauses that include in the full version give examples and details of how these aspirations change the way we act as a software engineering professionals. Without the aspirations, the details can become legaslistics and tedious; without the details, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive code. <br>
        Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with thier commitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles;
    </p>
    <strong>PRINCIPLES</strong>
    <ol>
        <li><em>Public,</em> Software engineers shall act consistently with the public interest.</li>
        <li><em>Clint and employer</em> Software engineers shall act in a manner that is in the best interest of thier client and employer, consistently with the public interest.</li>
        <li><em>Product,</em> Software engineers shall ensure that thier products and related modifications meet the professional standards possible.</li>
        <li><em>Judgement,</em> Software engineers shall maintain integrity and independence in thier professional Judgement</li>
        <li><em>Management,</em> Software engineering managers and leaders shall subcribe to and promote an ethical approach to the management of software development and maintaince.</li>
        <li><em>Profession,</em> Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
        <li><em>Colleagues,</em> Software engineers shall be fair to and supportive of thier colleagues.</li>
        <li><em>Self,</em> Software engineers shall participate in lifelong learning regarding the practice of thier profession and shall promote n ethical approach to the practice of the profession.</li>
    </ol>
</body>
</html>